> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connectors

> Get a list of available connectors



## OpenAPI

````yaml get /connectors
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors:
    get:
      tags:
        - Connectors
      summary: Get Connectors
      description: Get a list of available connectors
      operationId: get-connectors
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
        - name: x-alloy-userid
          in: header
          required: false
          description: >-
            The ID of the user making the request; If not provided, the request
            will be made as the API Key user
          schema:
            type: string
          example: 68b666094a6821e749c36006
      responses:
        '200':
          description: List of connectors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Connectors'
              example:
                connectors:
                  - id: slack
                    name: Slack
                    icon: https://cdn.runalloy.com/icons/slack.png
                    group:
                      - output
                    category:
                      - communication
      security:
        - bearerAuth: []
components:
  schemas:
    Connectors:
      type: object
      properties:
        connectors:
          type: array
          items:
            $ref: '#/components/schemas/Connector'
    Connector:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: Unique integration identifier
          example: slack
        name:
          type: string
          description: Display name of the integration
          example: Slack
        icon:
          type: string
          format: uri
          description: URL to the integration's icon
          example: https://cdn.runalloy.com/icons/spotify.png
        group:
          type: array
          items:
            type: string
          description: Groups this integration belongs to
          example: []
        category:
          type: array
          items:
            type: string
          description: Categories this integration belongs to
          example:
            - marketing-automation
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````